package com.nisum.paymentgatewayazuredataservice.domain.model;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.relational.core.mapping.Table;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@Table(value = "authorizations_succeeded_failed")
public class PaymentAuthData {
    @Id
    private Integer id;
    private String cardNumber;
    private String cvv;
    private String address;
    private Number amount;
    private String resultCode;
    private String authCode;
    private String pspReference;
    private String avsResult;
    private String cardSummary;
    private String refusalReasonRaw;
    private String eci;
    private String acquirerAccountCode;
    private String expiryDate;
    private String xid;
    private String cavvAlgorithm;
    private String cardBin;
    private String threeDAuthenticated;
    private String cvcResultRaw;
    private String paymentMethodVariant;
    private String acquirerReference;
    private String cardIssuingCountry;
    private String liabilityShift;
    private String cardHolderName;
    private String isCardCommercial;
    private String threeDOffered;
    private String threeDOfferedResponse;
    private String authorisationMid;
    private String issuerCountry;
    private String cvcResult;
    private String cavv;
    private String threeDAuthenticatedResponse;
    private String avsResultRaw;
    private String paymentMethod;
    private String cardPaymentMethod;
    private String acquirerCode;
}
